export interface StackDescriptionBlock {
    type: 'description';
    name: string;
    message: string;
}
export interface StackLocationBlock {
    type: 'location';
    entry: string;
    path: string;
    line: number;
    column: number;
}
export type StackBlock = StackDescriptionBlock | StackLocationBlock;
export declare function disassembleStack(stack: string): StackBlock[];
export declare function assembleStack(stacks: StackBlock[]): string;
